From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-libs/libfakekey/
Date: Sat, 30 May 2020 08:37:56 +0000 (UTC) [thread overview]
Message-ID: <1590827865.fec1848c871caea335f7651f5898ce476b81ca90.asturm@gentoo> (raw)
commit: fec1848c871caea335f7651f5898ce476b81ca90
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat May 30 08:36:17 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat May 30 08:37:45 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fec1848c
x11-libs/libfakekey: --disable-static
Closes: https://bugs.gentoo.org/726146
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
x11-libs/libfakekey/libfakekey-0.3-r1.ebuild | 48 ++++++++++++++++++++++++++++
1 file changed, 48 insertions(+)
diff --git a/x11-libs/libfakekey/libfakekey-0.3-r1.ebuild b/x11-libs/libfakekey/libfakekey-0.3-r1.ebuild
new file mode 100644
index 00000000000..ba84cd53b00
--- /dev/null
+++ b/x11-libs/libfakekey/libfakekey-0.3-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Helper library for the x11-misc/matchbox-keyboard package"
+HOMEPAGE="https://www.yoctoproject.org/tools-resources/projects/matchbox"
+SRC_URI="https://git.yoctoproject.org/cgit/cgit.cgi/${PN}/snapshot/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ppc ~ppc64 x86"
+IUSE="debug doc"
+
+BDEPEND="doc? ( app-doc/doxygen )"
+DEPEND="x11-libs/libXtst"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${P}-ac.patch" ) # Allow configure to use libtool-2
+
+src_prepare() {
+ default
+
+ # Fix underlinking bug #367595
+ sed -i -e 's/^fakekey_test_LDADD=/fakekey_test_LDADD=-lX11 /' \
+ tests/Makefile.am || die 'Cannot sed Makefile.am'
+ sed -e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" -i configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ # --with/without-x is ignored by configure script and X is used.
+ --with-x
+ --disable-static
+ $(use_enable debug)
+ $(use_enable doc doxygen-docs)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ use doc && local HTML_DOCS=( doc/html/. )
+ default
+ find "${D}" -name '*.la' -type f -delete || die
+}
next reply other threads:[~2020-05-30 8:37 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-30 8:37 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-03 19:12 [gentoo-commits] repo/gentoo:master commit in: x11-libs/libfakekey/ Maciej Mrozowski
2020-06-09 13:50 Agostino Sarubbo
2020-05-30 8:37 Andreas Sturmlechner
2019-12-25 20:39 Sergei Trofimovich
2019-12-24 8:08 Agostino Sarubbo
2019-12-23 14:03 Agostino Sarubbo
2018-05-01 18:19 Johannes Huber
2018-05-01 18:19 Johannes Huber
2018-03-04 6:51 Thomas Deutschmann
2018-02-27 13:43 Jason Zaman
2018-02-26 22:46 Andreas Sturmlechner
2017-12-21 21:16 Patrice Clement
2017-10-09 14:44 Sergei Trofimovich
2017-10-09 14:44 Sergei Trofimovich
2016-11-28 18:29 Johannes Huber
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1590827865.fec1848c871caea335f7651f5898ce476b81ca90.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox